CVE-2017-5834

Published: 03 March 2017

The parse_dict_node function in bplist.c in libplist allows attackers to cause a denial of service (out-of-bounds heap read and crash) via a crafted file.

Priority

Negligible

CVSS 3 base score: 5.5

Status

Package Release Status
libplist
Launchpad, Ubuntu, Debian
Upstream
Released (1.12+git+1+e37ca00-0.1)
Ubuntu 21.04 (Hirsute Hippo) Not vulnerable
(1.12+git+1+e37ca00-0.3)
Ubuntu 20.04 LTS (Focal Fossa) Not vulnerable
(1.12+git+1+e37ca00-0.3)
Ubuntu 18.04 LTS (Bionic Beaver) Not vulnerable
(1.12+git+1+e37ca00-0.3)
Ubuntu 16.04 ESM (Xenial Xerus) Needed

Ubuntu 14.04 ESM (Trusty Tahr) Does not exist
(trusty was needed)
Patches:
Upstream: https://github.com/libimobiledevice/libplist/commit/4765d9a60ca4248a8f89289271ac69cbffcc29bc